[op25-dev] Beta Test of New Additions - compile error on make

Joseph Cardani jcardani@verizon.net [op25-dev] op25-dev at yahoogroups.com
Sun Nov 29 02:15:48 UTC 2015


I installed Balints code again

jcardani at jcardani-ThinkCentre-XXXX ~/pybombs $ ./pybombs install gr-baz
Settled on prefix: /home/jcardani/target
Loading recipes ...
Installing packages:
* blas
* armadillo
* gr-compat
* gr-baz
Installing from .deb: blas
[sudo] password for jcardani:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer 
required:
   libaudclient2 libid3tag0 libimlib2 liblua5.1-0 libxmmsclient6
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
   libopenblas-base
The following NEW packages will be installed:
   libopenblas-base libopenblas-dev
0 upgraded, 2 newly installed, 0 to remove and 519 not upgraded.
Need to get 2,643 kB of archives.
After this operation, 65.5 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu/ trusty/universe libopenblas-base 
i386 0.2.8-6ubuntu1 [1,723 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty/universe libopenblas-dev 
i386 0.2.8-6ubuntu1 [920 kB]
Fetched 2,643 kB in 1s (2,054 kB/s)
Selecting previously unselected package libopenblas-base.
(Reading database ... 196371 files and directories currently installed.)
Preparing to unpack .../libopenblas-base_0.2.8-6ubuntu1_i386.deb ...
Unpacking libopenblas-base (0.2.8-6ubuntu1) ...
Selecting previously unselected package libopenblas-dev.
Preparing to unpack .../libopenblas-dev_0.2.8-6ubuntu1_i386.deb ...
Unpacking libopenblas-dev (0.2.8-6ubuntu1) ...
Setting up libopenblas-base (0.2.8-6ubuntu1) ...
update-alternatives: using /usr/lib/openblas-base/libblas.so.3 to 
provide /usr/lib/libblas.so.3 (libblas.so.3) in auto mode
Setting up libopenblas-dev (0.2.8-6ubuntu1) ...
update-alternatives: using /usr/lib/openblas-base/libblas.so to provide 
/usr/lib/libblas.so (libblas.so) in auto mode
Processing triggers for libc-bin (2.19-0ubuntu6.4) ...
installation ok via: deb
Installing from .deb: armadillo
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer 
required:
   libaudclient2 libid3tag0 libimlib2 liblua5.1-0 libxmmsclient6
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
   libarmadillo4 libarpack2 libarpack2-dev
The following NEW packages will be installed:
   libarmadillo-dev libarmadillo4 libarpack2 libarpack2-dev
0 upgraded, 4 newly installed, 0 to remove and 519 not upgraded.
Need to get 501 kB of archives.
After this operation, 4,314 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu/ trusty/universe libarpack2 i386 
3.1.5-2 [82.0 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty/universe libarmadillo4 
i386 1:4.200.0+dfsg-1 [67.9 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty/universe libarpack2-dev 
i386 3.1.5-2 [93.4 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ trusty/universe libarmadillo-dev 
i386 1:4.200.0+dfsg-1 [258 kB]
Fetched 501 kB in 4s (110 kB/s)
Selecting previously unselected package libarpack2.
(Reading database ... 196386 files and directories currently installed.)
Preparing to unpack .../libarpack2_3.1.5-2_i386.deb ...
Unpacking libarpack2 (3.1.5-2) ...
Selecting previously unselected package libarmadillo4.
Preparing to unpack .../libarmadillo4_1%3a4.200.0+dfsg-1_i386.deb ...
Unpacking libarmadillo4 (1:4.200.0+dfsg-1) ...
Selecting previously unselected package libarpack2-dev.
Preparing to unpack .../libarpack2-dev_3.1.5-2_i386.deb ...
Unpacking libarpack2-dev (3.1.5-2) ...
Selecting previously unselected package libarmadillo-dev.
Preparing to unpack .../libarmadillo-dev_1%3a4.200.0+dfsg-1_i386.deb ...
Unpacking libarmadillo-dev (1:4.200.0+dfsg-1) ...
Processing triggers for doc-base (0.10.5) ...
Processing 1 added doc-base file...
Registering documents with scrollkeeper...
Setting up libarpack2 (3.1.5-2) ...
Setting up libarmadillo4 (1:4.200.0+dfsg-1) ...
Setting up libarpack2-dev (3.1.5-2) ...
Setting up libarmadillo-dev (1:4.200.0+dfsg-1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.4) ...
installation ok via: deb
Installing from source: gr-compat
Cloning into 'gr-compat'...
remote: Counting objects: 107, done.
remote: Total 107 (delta 0), reused 0 (delta 0), pack-reused 107
Receiving objects: 100% (107/107), 23.80 KiB | 0 bytes/s, done.
Resolving deltas: 100% (44/44), done.
Checking connectivity... done.
Configuring: (100%) 
[==========================================================]
Building:    (100%) 
[==========================================================]
Installing: (100%) 
[===========================================================]
installation ok via: src
Installing from source: gr-baz
Cloning into 'gr-baz'...
remote: Counting objects: 1574, done.
remote: Compressing objects: 100% (4/4), done.
remote: Total 1574 (delta 0), reused 0 (delta 0), pack-reused 1570
Receiving objects: 100% (1574/1574), 1009.10 KiB | 0 bytes/s, done.
Resolving deltas: 100% (980/980), done.
Checking connectivity... done.
Configuring: (100%) 
[==========================================================]
Building:    (100%) 
[==========================================================]
Installing: (100%) 
[===========================================================]
installation ok via: src


Then switched to Balints op25 and just for the sake of it rb Balints 
code after gr-op25baz rb and still block errors.

And please don't knuckle punch me :)


jcardani at jcardani-ThinkCentre-XXXX ~/pybombs $ ./pybombs rb gr-op25baz
Settled on prefix: /home/jcardani/target
Loading recipes ...
Installing packages:
* gr-op25baz
Installing from source: gr-op25baz
Configuring: (100%) 
[==========================================================]
Building:    (100%) 
[==========================================================]
Installing: (100%) 
[===========================================================]
installation ok via: src
jcardani at jcardani-ThinkCentre-XXXX ~/pybombs $ ./pybombs rb gr-baz
Settled on prefix: /home/jcardani/target
Loading recipes ...
Installing packages:
* gr-baz
Installing from source: gr-baz
Configuring: (100%) 
[==========================================================]
Building:    (100%) 
[==========================================================]
Installing: (100%) 
[===========================================================]
installation ok via: src
jcardani at jcardani-ThinkCentre-XXXX ~/pybombs $ gnuradio-companion
linux; GNU C++ version 4.8.2; Boost_105400; UHD_003.008.001-42-g8c87a524

Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
Error: Program requires scipy (see: www.scipy.org).
<<< Welcome to GNU Radio Companion 3.7.6git-255-gd0d286d3 >>>

Preferences file: /home/jcardani/.grc
Block paths:
     /home/jcardani/target/share/gnuradio/grc/blocks
     /home/jcardani/.grc_gnuradio

XML parser: Found 1 erroneous XML file while loading the block tree (see 
"Help/Parser errors" for details)

Loading: "/home/jcardani/pybombs/gr-baz/samples/OP25.grc"


On 11/28/2015 08:58 PM, verymetl at hotmail.com [op25-dev] wrote:
>
> If you have missing blocks, then you don't have the correct OP25 
> version compiled. I explained this to you the other day. It's one 
> version or the other. If you want to play around with Balint's GRC 
> file, you need to have his version of OP25 compiled.
>
>
> You have mentioned this multiple times, but I don't have a clue 
> what "max-skip-test" is.
>
>
> ---In op25-dev at yahoogroups.com, <jcardani at ...> wrote :
>
> I figured it out that I opened gnuradio-companion and then opened the 
> op25.grc file
>
>
> Now it errors on a lot of missing blocks
>
> I wonder if I built this correct?
>
> Help
>
> 

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/op25-dev/attachments/20151128/820854b0/attachment.html>


More information about the op25-dev mailing list